package com.fdkankan.mq.message;

import java.io.Serializable;
import lombok.Data;

@Data
public class BaseBuildSceneMessage implements Serializable{
    /**
     * 0:第一次计算；1：重新构建
     */
    private String rebuild = "0";

    /**
     * 0:非标定计算；1：标定计算
     */
    private String isStandardization;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 执行结果接收消息队列名称
     */
    private String resultReceiverMqName;

    public String getRebuild() {
        return rebuild;
    }

    public void setRebuild(String rebuild) {
        this.rebuild = rebuild;
    }

    public String getIsStandardization() {
        return isStandardization;
    }

    public void setIsStandardization(String isStandardization) {
        this.isStandardization = isStandardization;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getResultReceiverMqName() {
        return resultReceiverMqName;
    }

    public void setResultReceiverMqName(String resultReceiverMqName) {
        this.resultReceiverMqName = resultReceiverMqName;
    }
}
